Delete Download
DELETE
/utilities/downloads/{id}
const url = 'https://sylve.lan:8181/api/utilities/downloads/1';const options = {method: 'DELETE', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://sylve.lan:8181/api/utilities/downloads/1 \ --header 'Authorization: <Authorization>'Delete one download after reference, activity, and managed-path preflight; unexpected cleanup failures return a typed retained-path result
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Download ID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
deleted
Array<object>
object
id
integer
name
string
type
string
uuid
string
failed
Array<object>
object
code
string
id
integer
name
string
retainedPaths
Array<string>
type
string
uuid
string
vmReferences
Array<object>
object
storageId
integer
vmId
integer
vmName
string
vmRid
integer
error
string
message
string
status
string
Example
{ "data": { "deleted": [ { "type": "http" } ], "failed": [ { "type": "http" } ] }}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Download not found
Media typeapplication/json
object
data
object
deleted
Array<object>
object
id
integer
name
string
type
string
uuid
string
failed
Array<object>
object
code
string
id
integer
name
string
retainedPaths
Array<string>
type
string
uuid
string
vmReferences
Array<object>
object
storageId
integer
vmId
integer
vmName
string
vmRid
integer
error
string
message
string
status
string
Example
{ "data": { "deleted": [ { "type": "http" } ], "failed": [ { "type": "http" } ] }}Download active, referenced, or unsafe to clean
Media typeapplication/json
object
data
object
deleted
Array<object>
object
id
integer
name
string
type
string
uuid
string
failed
Array<object>
object
code
string
id
integer
name
string
retainedPaths
Array<string>
type
string
uuid
string
vmReferences
Array<object>
object
storageId
integer
vmId
integer
vmName
string
vmRid
integer
error
string
message
string
status
string
Example
{ "data": { "deleted": [ { "type": "http" } ], "failed": [ { "type": "http" } ] }}Cleanup or persistence failure
Media typeapplication/json
object
data
object
deleted
Array<object>
object
id
integer
name
string
type
string
uuid
string
failed
Array<object>
object
code
string
id
integer
name
string
retainedPaths
Array<string>
type
string
uuid
string
vmReferences
Array<object>
object
storageId
integer
vmId
integer
vmName
string
vmRid
integer
error
string
message
string
status
string
Example
{ "data": { "deleted": [ { "type": "http" } ], "failed": [ { "type": "http" } ] }}